<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Geoclue.geoclue</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Geoclue-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="Geoclue-module.html">Package&nbsp;Geoclue</a> ::
        Module&nbsp;geoclue
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="Geoclue.geoclue-module.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module geoclue</h1><p class="nomargin-top"><span class="codelink"><a href="Geoclue.geoclue-pysrc.html">source&nbsp;code</a></span></p>
<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="Geoclue.geoclue.GeoclueProvider-class.html" class="summary-name">GeoclueProvider</a>
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="POSITION_FIELDS_NONE"></a><span class="summary-name">POSITION_FIELDS_NONE</span> = <code title="0">0</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="POSITION_FIELDS_LATITUDE"></a><span class="summary-name">POSITION_FIELDS_LATITUDE</span> = <code title="1">1</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="POSITION_FIELDS_LONGITUDE"></a><span class="summary-name">POSITION_FIELDS_LONGITUDE</span> = <code title="2">2</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="POSITION_FIELDS_ALTITUDE"></a><span class="summary-name">POSITION_FIELDS_ALTITUDE</span> = <code title="4">4</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ADDRESS_FIELD_STREET"></a><span class="summary-name">ADDRESS_FIELD_STREET</span> = <code title="'street'"><code class="variable-quote">'</code><code class="variable-string">street</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ADDRESS_FIELD_AREA"></a><span class="summary-name">ADDRESS_FIELD_AREA</span> = <code title="'area'"><code class="variable-quote">'</code><code class="variable-string">area</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ADDRESS_FIELD_LOCALITY"></a><span class="summary-name">ADDRESS_FIELD_LOCALITY</span> = <code title="'locality'"><code class="variable-quote">'</code><code class="variable-string">locality</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ADDRESS_FIELD_REGION"></a><span class="summary-name">ADDRESS_FIELD_REGION</span> = <code title="'region'"><code class="variable-quote">'</code><code class="variable-string">region</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ADDRESS_FIELD_COUNTRY"></a><span class="summary-name">ADDRESS_FIELD_COUNTRY</span> = <code title="'country'"><code class="variable-quote">'</code><code class="variable-string">country</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="RESOURCE_NONE"></a><span class="summary-name">RESOURCE_NONE</span> = <code title="0">0</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="RESOURCE_NETWORK"></a><span class="summary-name">RESOURCE_NETWORK</span> = <code title="1">1</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="RESOURCE_CELL"></a><span class="summary-name">RESOURCE_CELL</span> = <code title="2">2</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="RESOURCE_GPS"></a><span class="summary-name">RESOURCE_GPS</span> = <code title="4">4</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="RESOURCE_ALL"></a><span class="summary-name">RESOURCE_ALL</span> = <code title="1023">1023</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ACCURACY_LEVEL_NONE"></a><span class="summary-name">ACCURACY_LEVEL_NONE</span> = <code title="0">0</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ACCURACY_LEVEL_COUNTRY"></a><span class="summary-name">ACCURACY_LEVEL_COUNTRY</span> = <code title="1">1</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ACCURACY_LEVEL_REGION"></a><span class="summary-name">ACCURACY_LEVEL_REGION</span> = <code title="2">2</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ACCURACY_LEVEL_LOCALITY"></a><span class="summary-name">ACCURACY_LEVEL_LOCALITY</span> = <code title="3">3</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ACCURACY_LEVEL_POSTALCODE"></a><span class="summary-name">ACCURACY_LEVEL_POSTALCODE</span> = <code title="4">4</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ACCURACY_LEVEL_STREET"></a><span class="summary-name">ACCURACY_LEVEL_STREET</span> = <code title="5">5</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ACCURACY_LEVEL_DETAILED"></a><span class="summary-name">ACCURACY_LEVEL_DETAILED</span> = <code title="6">6</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="INTERFACE_NONE"></a><span class="summary-name">INTERFACE_NONE</span> = <code title="0">0</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="INTERFACE_ADDRESS"></a><span class="summary-name">INTERFACE_ADDRESS</span> = <code title="1">1</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="INTERFACE_POSITION"></a><span class="summary-name">INTERFACE_POSITION</span> = <code title="2">2</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="INTERFACE_GEOCODE"></a><span class="summary-name">INTERFACE_GEOCODE</span> = <code title="4">4</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="INTERFACE_REVERSE_GEOCODE"></a><span class="summary-name">INTERFACE_REVERSE_GEOCODE</span> = <code title="8">8</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="STATUS_ERROR"></a><span class="summary-name">STATUS_ERROR</span> = <code title="0">0</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="STATUS_UNAVAILABLE"></a><span class="summary-name">STATUS_UNAVAILABLE</span> = <code title="1">1</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="STATUS_ACQUIRING"></a><span class="summary-name">STATUS_ACQUIRING</span> = <code title="2">2</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="STATUS_AVAILABLE"></a><span class="summary-name">STATUS_AVAILABLE</span> = <code title="3">3</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="MASTER_IFACE"></a><span class="summary-name">MASTER_IFACE</span> = <code title="'org.freedesktop.Geoclue.Master'"><code class="variable-quote">'</code><code class="variable-string">org.freedesktop.Geoclue.Master</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="MASTER_PATH"></a><span class="summary-name">MASTER_PATH</span> = <code title="'/org/freedesktop/Geoclue/Master'"><code class="variable-quote">'</code><code class="variable-string">/org/freedesktop/Geoclue/Master</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ADDRESS_IFACE"></a><span class="summary-name">ADDRESS_IFACE</span> = <code title="'org.freedesktop.Geoclue.Address'"><code class="variable-quote">'</code><code class="variable-string">org.freedesktop.Geoclue.Address</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ADDRESS_PATH"></a><span class="summary-name">ADDRESS_PATH</span> = <code title="'/org/freedesktop/Geoclue/Address'"><code class="variable-quote">'</code><code class="variable-string">/org/freedesktop/Geoclue/Address</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="POSITION_IFACE"></a><span class="summary-name">POSITION_IFACE</span> = <code title="'org.freedesktop.Geoclue.Position'"><code class="variable-quote">'</code><code class="variable-string">org.freedesktop.Geoclue.Position</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="POSITION_PATH"></a><span class="summary-name">POSITION_PATH</span> = <code title="'/org/freedesktop/Geoclue/Position'"><code class="variable-quote">'</code><code class="variable-string">/org/freedesktop/Geoclue/Position</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="GEOCLUE_IFACE"></a><span class="summary-name">GEOCLUE_IFACE</span> = <code title="'org.freedesktop.Geoclue'"><code class="variable-quote">'</code><code class="variable-string">org.freedesktop.Geoclue</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="GEOCLUE_PATH"></a><span class="summary-name">GEOCLUE_PATH</span> = <code title="'/org/freedesktop/Geoclue'"><code class="variable-quote">'</code><code class="variable-string">/org/freedesktop/Geoclue</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="GEONAMES_IFACE"></a><span class="summary-name">GEONAMES_IFACE</span> = <code title="'org.freedesktop.Geoclue.Providers.Geonames'"><code class="variable-quote">'</code><code class="variable-string">org.freedesktop.Geoclue.Providers.Geonames</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="GEONAMES_PATH"></a><span class="summary-name">GEONAMES_PATH</span> = <code title="'/org/freedesktop/Geoclue/Providers/Geonames'"><code class="variable-quote">'</code><code class="variable-string">/org/freedesktop/Geoclue/Providers/Geonames</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="REVERSE_IFACE"></a><span class="summary-name">REVERSE_IFACE</span> = <code title="'org.freedesktop.Geoclue.ReverseGeocode'"><code class="variable-quote">'</code><code class="variable-string">org.freedesktop.Geoclue.ReverseGeocode</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="REVERSE_PATH"></a><span class="summary-name">REVERSE_PATH</span> = <code title="'/org/freedesktop/Geoclue/ReverseGeocode'"><code class="variable-quote">'</code><code class="variable-string">/org/freedesktop/Geoclue/ReverseGeocode</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'Geoclue'"><code class="variable-quote">'</code><code class="variable-string">Geoclue</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Geoclue-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Wed Aug 26 23:13:45 2009
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
